This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 883327 - 3.2 - vdsm: Unexpected exception when upgrading local/NFS domain from 3.0 to 3.1
3.2 - vdsm: Unexpected exception when upgrading local/NFS domain from 3.0 to 3.1
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.2.0
x86_64 Linux
urgent Severity urgent
: ---
: 3.2.0
Assigned To: Federico Simoncelli
vvyazmin@redhat.com
storage
: TestBlocker, ZStream
Depends On: 870024
Blocks: 888412 915537
  Show dependency treegraph
 
Reported: 2012-12-04 05:23 EST by Federico Simoncelli
Modified: 2016-02-10 15:10 EST (History)
22 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-2.0
Doc Type: Bug Fix
Doc Text:
Storage domain metadata is upgraded when Red Hat Enterprise Virtualization is upgraded from version 3.0 to version 3.1. Previously, storage lease metadata files were assigned incorrect permissions. This prevented file-based storage domains from being recovered after upgrades. This fix modifies the permissions on the storage lease metadata files during the upgrade procedure. The local domain can now be upgraded without issue.
Story Points: ---
Clone Of: 870024
Environment:
Last Closed: 2013-06-10 16:37:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 3 Federico Simoncelli 2012-12-04 12:00:08 EST
http://gerrit.ovirt.org/#/c/9517
Comment 7 vvyazmin@redhat.com 2013-01-07 11:25:35 EST
No issues are found during upgrading NFS domain from 3.0 to 3.2

OS: RHEL 6.3
RHEVM 3.0 - IC159 environment:
RHEVM: rhevm-3.0.7_0001-2.el6_3.x86_64
VDSM: vdsm-4.9-113.4.el6_3.x86_64
LIBVIRT: libvirt-0.9.10-21.el6_3.6.x86_64
QUMU-KVM: qemu-kvm-rhev-0.12.1.2-2.295.el6_3.5.x86_64

OS: RHEL 6.4
RHEVM 3.2 - SF02 environment 
RHEVM: rhevm-3.2.0-2.el6ev.noarch
VDSM: vdsm-4.10.2-2.0.el6.x86_64
LIBVIRT: libvirt-0.10.2-13.el6.x86_64
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.348.el6.x86_64
SANLOCK: sanlock-2.6-2.el6.x86_64
Comment 9 Cheryn Tan 2013-04-03 03:02:09 EDT
This bug is currently attached to errata RHBA-2012:14332. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks in advance.
Comment 11 errata-xmlrpc 2013-06-10 16:37:17 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0886.html

Note You need to log in before you can comment on or make changes to this bug.